#!/bin/bash

if [ ! -f prepare/deam-manual.pdf ] ; then 
    echo "----"
    wget "http://cvml.unige.ch/databases/DEAM/manual.pdf" -O prepare/deam-manual.pdf ; 
    echo "----"
else 
    echo "Aready have downloaded: deam-manual.pdf" ; 
fi 
if [ $? != 0 ] ; then
    echo "Error: Issue encountered downloading DEAM dataset file" >&2
    exit 1
fi

if [ ! -f prepare/deam-metadata.zip ] ; then 
    echo "----"
    wget "http://cvml.unige.ch/databases/DEAM/metadata.zip" -O prepare/deam-metadata.zip ; 
    echo "----"
else 
    echo "Aready have downloaded: deam-metadata.zip" ; 
fi 
if [ $? != 0 ] ; then
    echo "Error: Issue encountered downloading DEAM dataset file" >&2
    exit 1
fi

 
if [ ! -f prepare/DEAM_audio.zip ] ; then 
    echo "----"
    wget "http://cvml.unige.ch/databases/DEAM/DEAM_audio.zip" -O prepare/DEAM_audio.zip ; 
    echo "----"
else 
    echo "Aready have downloaded: DEAM_audio.zip" ; 
fi 
if [ $? != 0 ] ; then
    echo "Error: Issue encountered downloading DEAM dataset file" >&2
    exit 1
fi

 
if [ ! -f prepare/DEAM_annotations.zip ] ; then 
    echo "----"
    wget "http://cvml.unige.ch/databases/DEAM/DEAM_Annotations.zip" -O prepare/DEAM_annotations.zip ; 
    echo "----"
else 
    echo "Aready have downloaded: DEAM_annotations.zip" ; 
fi 
if [ $? != 0 ] ; then
    echo "Error: Issue encountered downloading DEAM dataset file" >&2
    exit 1
fi

 
if [ ! -f prepare/DEAM_features.zip ] ; then 
    echo "----"
    wget "http://cvml.unige.ch/databases/DEAM/features.zip" -O prepare/DEAM_features.zip ; 
    echo "----"
else 
    echo "Aready have downloaded: DEAM_features.zip" ; 
fi
if [ $? != 0 ] ; then
    echo "Error: Issue encountered downloading DEAM dataset file" >&2
    exit 1
fi


for zipfile in prepare/*.zip ; do
    echo "Unzipping: $zipfile"
    unzip -u -d prepare "$zipfile"
done

